VULKAN_HPP_NAMESPACE::MemoryHostPointerPropertiesEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| MemoryHostPointerPropertiesEXT (uint32_t memoryTypeBits_=0)
| MemoryHostPointerPropertiesEXT (VkMemoryHostPointerPropertiesEXT const &rhs)
MemoryHostPointerPropertiesEXT & | operator= (VkMemoryHostPointerPropertiesEXT const &rhs)
MemoryHostPointerPropertiesEXT & | setPNext (void *pNext_)
MemoryHostPointerPropertiesEXT & | setMemoryTypeBits (uint32_t memoryTypeBits_)
| operator VkMemoryHostPointerPropertiesEXT const & () const
| operator VkMemoryHostPointerPropertiesEXT & ()
bool | operator== (MemoryHostPointerPropertiesEXT const &rhs) const
bool | operator!= (MemoryHostPointerPropertiesEXT const &rhs) const

## Data Fields

void * | pNext = nullptr
uint32_t | memoryTypeBits

## Private Attributes

StructureType | sType = StructureType::eMemoryHostPointerPropertiesEXT

## Detailed Description

Definition at line 17456 of file vulkan.hpp.

## Constructor & Destructor Documentation

## MemoryHostPointerPropertiesEXT() [1/2]

VULKAN_HPP_NAMESPACE::MemoryHostPointerPropertiesEXT::MemoryHostPointerPropertiesEXT | ( | uint32_t | memoryTypeBits_ = `0` | ) |

inline

Definition at line 17458 of file vulkan.hpp.

: memoryTypeBits( memoryTypeBits_ )
{
}

## MemoryHostPointerPropertiesEXT() [2/2]

VULKAN_HPP_NAMESPACE::MemoryHostPointerPropertiesEXT::MemoryHostPointerPropertiesEXT | ( | VkMemoryHostPointerPropertiesEXT const & | rhs | ) |

inline

Definition at line 17463 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( MemoryHostPointerPropertiesEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkMemoryHostPointerPropertiesEXT &()

VULKAN_HPP_NAMESPACE::MemoryHostPointerPropertiesEXT::operator VkMemoryHostPointerPropertiesEXT & | ( |  | ) |

inline

Definition at line 17490 of file vulkan.hpp.

{
return *reinterpret_cast<VkMemoryHostPointerPropertiesEXT*>(this);
}

## operator VkMemoryHostPointerPropertiesEXT const &()

VULKAN_HPP_NAMESPACE::MemoryHostPointerPropertiesEXT::operator VkMemoryHostPointerPropertiesEXT const & | ( |  | ) | const

inline

Definition at line 17485 of file vulkan.hpp.

{
return *reinterpret_cast<const VkMemoryHostPointerPropertiesEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::MemoryHostPointerPropertiesEXT::operator!= | ( | MemoryHostPointerPropertiesEXT const & | rhs | ) | const

inline

Definition at line 17502 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

MemoryHostPointerPropertiesEXT& VULKAN_HPP_NAMESPACE::MemoryHostPointerPropertiesEXT::operator= | ( | VkMemoryHostPointerPropertiesEXT const & | rhs | ) |

inline

Definition at line 17468 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( MemoryHostPointerPropertiesEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::MemoryHostPointerPropertiesEXT::operator== | ( | MemoryHostPointerPropertiesEXT const & | rhs | ) | const

inline

Definition at line 17495 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( memoryTypeBits == rhs.memoryTypeBits );
}

References memoryTypeBits, pNext, and sType.

Referenced by operator!=().

## setMemoryTypeBits()

MemoryHostPointerPropertiesEXT& VULKAN_HPP_NAMESPACE::MemoryHostPointerPropertiesEXT::setMemoryTypeBits | ( | uint32_t | memoryTypeBits_ | ) |

inline

Definition at line 17479 of file vulkan.hpp.

{
memoryTypeBits = memoryTypeBits_;
return *this;
}

References memoryTypeBits.

## setPNext()

MemoryHostPointerPropertiesEXT& VULKAN_HPP_NAMESPACE::MemoryHostPointerPropertiesEXT::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 17473 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## memoryTypeBits

uint32_t VULKAN_HPP_NAMESPACE::MemoryHostPointerPropertiesEXT::memoryTypeBits

Definition at line 17512 of file vulkan.hpp.

Referenced by operator==(), and setMemoryTypeBits().

## pNext

void* VULKAN_HPP_NAMESPACE::MemoryHostPointerPropertiesEXT::pNext = nullptr

Definition at line 17511 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::MemoryHostPointerPropertiesEXT::sType = StructureType::eMemoryHostPointerPropertiesEXT

private

Definition at line 17508 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::MemoryHostPointerPropertiesEXT::MemoryHostPointerPropertiesEXT
MemoryHostPointerPropertiesEXT(uint32_t memoryTypeBits_=0)
Definition: vulkan.hpp:17458
VULKAN_HPP_NAMESPACE::MemoryHostPointerPropertiesEXT::operator==
bool operator==(MemoryHostPointerPropertiesEXT const &rhs) const
Definition: vulkan.hpp:17495
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkMemoryHostPointerPropertiesEXT
Definition: vulkan_core.h:8473
VULKAN_HPP_NAMESPACE::MemoryHostPointerPropertiesEXT::memoryTypeBits
uint32_t memoryTypeBits
Definition: vulkan.hpp:17512
VULKAN_HPP_NAMESPACE::MemoryHostPointerPropertiesEXT::pNext
void * pNext
Definition: vulkan.hpp:17511
VULKAN_HPP_NAMESPACE::MemoryHostPointerPropertiesEXT::sType
StructureType sType
Definition: vulkan.hpp:17508